Bug 1119763 - Migration of hosted-engine vm put target host score to zero
Summary: Migration of hosted-engine vm put target host score to zero
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-ha
Version: 3.4.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3.4.2
Assignee: Jiri Moskovcak
QA Contact: Artyom
URL:
Whiteboard: sla
Depends On: 1093366
Blocks: 1123858
TreeView+ depends on / blocked
 
Reported: 2014-07-15 12:58 UTC by rhev-integ
Modified: 2019-04-28 10:46 UTC (History)
15 users (show)

Fixed In Version: ovirt-hosted-engine-ha-1.1.5-1.el6ev
Doc Type: Bug Fix
Doc Text:
Previously, in the case of hosted engine virtual machine migration, ovirt-ha-agent was giving a bad score to the destination host because the hosted engine virtual machine was in a starting, rather than running, state. This meant the agent would attempt to migrate the virtual machine to another host and the process would repeat endlessly. Now, the starting state of a migrating virtual machine is not treated as bad by the agent and the hosted engine virtual machine migration completes successfully.
Clone Of: 1093366
Environment:
Last Closed: 2014-09-04 12:47:38 UTC
oVirt Team: SLA


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1155 normal SHIPPED_LIVE ovirt-hosted-engine-ha bug fix and enhancement update 2014-09-04 16:47:05 UTC
oVirt gerrit 29580 master MERGED Use max instead of min when computing the best score Never
oVirt gerrit 29787 master MERGED Treat migration state as Up and check engine health normally Never
oVirt gerrit 29902 ovirt-hosted-engine-ha-1.2 MERGED Treat migration state as Up and check engine health normally Never
oVirt gerrit 29903 ovirt-hosted-engine-ha-1.1 MERGED Treat migration state as Up and check engine health normally Never
oVirt gerrit 29920 ovirt-hosted-engine-ha-1.2 MERGED use max not min when computing the best score Never
oVirt gerrit 29922 ovirt-hosted-engine-ha-1.1 MERGED use max not min when computing the best score Never

Comment 3 Artyom 2014-08-17 15:43:58 UTC
Verified on ovirt-hosted-engine-ha-1.1.5-1.el6ev.noarch

Comment 8 errata-xmlrpc 2014-09-04 12:47:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1155.html


Note You need to log in before you can comment on or make changes to this bug.